import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld extends World
{
    private int SnakeLength=3;
    private ArrayList<Location> locations = new ArrayList<Location>();
    
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(20, 20, 15); 
        Greenfoot.setSpeed(25);
        locations.clear();
        locations.add(new Location(8, 10));
        locations.add(new Location(9, 10));
        addObject(new Snake(locations), 10, 10);        
        for (int i=0; i<SnakeLength-1; i++) {
            addObject(new SnakeBody(locations,i), 10-1-i, 10);
        }
        int x = Greenfoot.getRandomNumber(20);
        int y = Greenfoot.getRandomNumber(20);
        addObject(new Food(), x, y);
    }
    
    public void increaseSnakeLength() {
        SnakeLength++;
        int x = locations.get(locations.size()-1).getX();
        int y = locations.get(locations.size()-1).getY();        
        locations.add(new Location(x, y));
        addObject(new SnakeBody(locations, SnakeLength-2), x, y);
        x = Greenfoot.getRandomNumber(20);
        y = Greenfoot.getRandomNumber(20);
        addObject(new Food(), x, y);
    }
}
