import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.ArrayList;

/**
 * Write a description of class Snake here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Snake extends Actor
{
    private int direction=0;
    private ArrayList<Location> locations = new ArrayList<Location>();
    
    public Snake(ArrayList<Location> locations) {
        this.locations = locations;
    }
    /**
     * Act - do whatever the Snake wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (Greenfoot.isKeyDown("up") ){
            direction = 1 ;
            setRotation(-90);
        }

        if (Greenfoot.isKeyDown("down")) {
            direction = 3 ;
            setRotation(90);
        }
        
        if (Greenfoot.isKeyDown("right")) {
            direction = 0 ;
            setRotation(0);
        }
        
        if (Greenfoot.isKeyDown("left")) {
            direction = 2 ;
            setRotation(180);
        }
        locations.remove(0);
        locations.add(new Location(getX(), getY()));     
        if (direction ==0) {
            setLocation(getX()+1, getY());
        } else if (direction ==1) {
            setLocation(getX(), getY()-1);
        } else if (direction==2) {
            setLocation(getX()-1, getY());
        } else {
            setLocation(getX(), getY()+1);
        }
        Food food = (Food) getOneIntersectingObject(Food.class);
        if (food != null) {
            Greenfoot.playSound("eat.wav");
            MyWorld myWorld = (MyWorld) getWorld();
            myWorld.increaseSnakeLength();
            myWorld.removeObject(food);
        }

        SnakeBody snakeBody = (SnakeBody) getOneIntersectingObject(SnakeBody.class);
        if (snakeBody != null) {
            Greenfoot.playSound("fail.wav");
            Greenfoot.stop();
        }
 
   }    
}
